# Generated by Django 2.1.1 on 2019-04-12 01:49

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Container',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('location_quantity', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='History',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('action_time', models.DateTimeField()),
                ('amount', models.IntegerField(default=0)),
                ('action', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Item',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('description', models.CharField(default='', max_length=1000)),
                ('unit', models.CharField(max_length=20)),
                ('quantity', models.IntegerField(default=0)),
                ('vendor', models.CharField(default='None', max_length=50)),
                ('part_number', models.CharField(default='', max_length=50)),
                ('report_count', models.IntegerField(default=0)),
                ('image', models.ImageField(blank=True, null=True, upload_to='item_images/')),
                ('barcode', models.CharField(max_length=8)),
                ('barcode_image', models.ImageField(upload_to='barcodes/')),
            ],
        ),
        migrations.CreateModel(
            name='Location',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('description', models.CharField(default='', max_length=1000)),
                ('image', models.ImageField(blank=True, null=True, upload_to='location_images/')),
                ('barcode', models.CharField(max_length=16)),
                ('barcode_image', models.ImageField(upload_to='barcodes/')),
                ('items', models.ManyToManyField(through='inventory.Container', to='inventory.Item')),
            ],
        ),
        migrations.AddField(
            model_name='history',
            name='item',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='inventory.Item'),
        ),
        migrations.AddField(
            model_name='history',
            name='location',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='inventory.Location'),
        ),
    ]
